Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### link()

Examples

    void draw() {
      rect(20, 20, 60, 60);
    }

    void mousePressed() {
      link("http://processing.org");
    }

    void draw() {
      rect(20, 20, 60, 60);
    }

    void mousePressed() {
      link("http://processing.org", "_new");
    }

Description | Links to a webpage either in the same window or in a new window. The complete URL must be specified.

Syntax

    link(url)
    link(url, target)

Parameters

url | String: complete url as a String in quotes
target | String: name of the window to load the URL as a string in quotes

Returns | None
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT